import server from '@/utils/request'

//新增用户
interface User{
    uname:String	            //账号
    type:String|Number	      //账号类型：1-开发者，2-运营方，3-客户
    password:String	          // 密码
    status:String|Number      //状态：1-启用，0-禁用
    uid?:String	              //用户ID（修改时用）
    typeRelateCode?:String	  //关联方代码
    name?:String	            //姓名
    email?:String	          //邮箱
    phone?:String	          //手机号码
    sex?:String|Number	      //性别
    readonly?:String|Number  //是否内置账号，内置账号不允许动
    avatar?:String	          //头像
}

//新增
export function adduser(data:User) {
    return server.request({
      url: '/resource/user/add',
      method: 'post',
      data
    })
}


interface Userquery{
    pageSize:String|Number	    //每页条数
    pageNo:String|Number	      //页数
    uname?:String	              //账号
    typeRelateCode?:String	    //关联方代码
    name?:String	              //姓名
    phone?:String	              //手机
}

//查询
export function getuser(params:Userquery) {
    return server.request({
      url: '/resource/user/list',
      method: 'get',
      params
    })
}

//修改
export function updateuser(data:User) {
    return server.request({
      url: '/resource/user/update',
      method: 'post',
      data
    })
}

//删除
export function deleteuser(data:any) {
    return server.request({
      url: '/resource/user/del',
      method: 'post',
      data
    })
}

//查询角色 ??
// export function getrolelist(userId:String) {
//   return server.request({
//     url: '/resource/role/list',
//     method: 'get',
//     params:{
//       userId
//     }
//   })
// }

//给用户分配角色
interface Addrole{
  uid:String	    //用户ID
  rcode:String	  //角色编码
  pkId?:String
}

export function adduserrole(data:Addrole) {
  return server.request({
    url: '/resource/user/adduserrole',
    method: 'post',
    data
  })
}

//运营商用户分配换电站
interface Fpsta{
  uid:String,
  stationIds:String
}
export function dispstation(data:Fpsta) {
  return server.request({
    url: '/resource/user/adduserstation',
    method: 'post',
    data
  })
}